# Configuration file

all {
    # Amphithere attack strength [range: 1.0 ~ 10000.0, default: 7.0]
    S:"Amphithere Attack Strength"=7.0

    # How fast amphitheres fly. [range: 0.0 ~ 3.0, default: 1.75]
    S:"Amphithere Flight Speed"=1.75

    # Maximum amphithere health [range: 1.0 ~ 10000.0, default: 50.0]
    S:"Amphithere Max Health"=50.0

    # Amphithere spawn weight. Lower = lower chance to spawn [range: 1 ~ 10000, default: 10]
    I:"Amphithere Spawn Weight"=10

    # How many ticks it takes while riding an untamed amphithere to tame it. [range: 1 ~ 10000, default: 400]
    I:"Amphithere Tame Time"=400

    # How many blocks away can ampitheres detect villagers being hurt. Note that increasing this could cause lag. [range: 1 ~ 10000, default: 64]
    I:"Amphithere Villager Search Length"=64

    # True if animals should run away and hide from dragons and other hostile Ice and Fire mobs. [default: true]
    B:"Animals Fear Dragons"=true

    # Dragons cannot spawn in these dimensions' IDs
    I:"Blacklisted Dragon Dimensions" <
        -1
        1
     >

    # Snow Villages cannot spawn in these dimensions' IDs
    I:"Blacklisted Snow Village Dimensions" <
        -1
        1
     >

    # True if chickens lay rotten eggs. [default: true]
    B:"Chickens Lay Rotten Eggs"=true

    # A double check to see if the game can spawn cockatrices. Higher number = lower chance to spawn. [range: 0 ~ 10000, default: 0]
    I:"Cockatrice Spawn Check Chance"=0

    # Cockatrice spawn weight. Lower = lower chance to spawn [range: 1 ~ 10000, default: 4]
    I:"Cockatrice Spawn Weight"=4

    # 1 out of this number chance per 6000 ticks for a chicken to lay a cockatrice egg. [range: 1 ~ 2147483647, default: 30]
    I:"Cockatrice chicken Search Length"=32

    # Whether to display the dragon on the main menu or not [default: true]
    B:"Custom main menu"=true

    # How many blocks away can cyclopes detect sheep. Note that increasing this could cause lag. [range: 1 ~ 10000, default: 17]
    I:"Cyclopes Sheep Search Length"=17

    # Cyclops attack strength [range: 1.0 ~ 10000.0, default: 15.0]
    S:"Cyclops Attack Strength"=15.0

    # Amount of damage done with cyclops bite attack. [range: 1.0 ~ 10000.0, default: 40.0]
    S:"Cyclops Bite Strength"=40.0

    # Whether or not cyclops can break logs or leaves in their way [default: true]
    B:"Cyclops Griefing"=true

    # Maximum cyclops health [range: 1.0 ~ 10000.0, default: 150.0]
    S:"Cyclops Max Health"=150.0

    # How many blocks away does dangerous(dragons, cyclops, etc.) world gen have to generate from spawn [range: 0 ~ 2147483647, default: 200]
    I:"Dangerous World Gen Distance From Spawn"=200

    # Default deathworm attack strength, this is scaled to the worm's particular size [range: 1.0 ~ 10000.0, default: 3.0]
    S:"Death Worm Base Attack Strength"=3.0

    # Default deathworm health, this is scaled to the worm's particular size [range: 1.0 ~ 10000.0, default: 10.0]
    S:"Death Worm Base Health"=10.0

    # A double check to see if the game can spawn death worms. Higher number = lower chance to spawn. [range: 0 ~ 10000, default: 3]
    I:"Death Worm Spawn Check Chance"=3

    # Deathworm spawn weight. Lower = lower chance to spawn [range: 1 ~ 10000, default: 2]
    I:"Death Worm Spawn Weight"=2

    # How many blocks away can death worms spot potential prey. Note that increasing this could cause lag [range: 1 ~ 10000, default: 64]
    I:"Death Worm Target Search Length"=64

    # True if wild deathworms are allowed to target and attack monsters [default: true]
    B:"Death Worms Target Monsters"=true

    # Max dragon attack damage. Attack Damage is scaled to this [range: 1 ~ 10000, default: 17]
    I:"Dragon Attack Damage"=20

    # Ratio of Stone(this number) to Ores in Dragon Caves [range: 1 ~ 10000, default: 45]
    I:"Dragon Cave Ore Ratio"=45

    # 1 out of this number chance per block that gold will generate in dragon lairs. [range: 1 ~ 10000, default: 4]
    I:"Dragon Den Gold Amount"=4

    # How long it takes(in ticks) for a dragon egg to hatch [range: 1 ~ 2147483647, default: 7200]
    I:"Dragon Egg Hatch Time"=4200

    # Dragon Flap Noise Distance - Larger number, further away you can hear it [range: 0 ~ 10000, default: 4]
    I:"Dragon Flap Noise Distance"=20

    # Dragon Flute Distance - how many chunks away is the dragon flute effective? [range: 0 ~ 10000, default: 4]
    I:"Dragon Flute Distance"=4

    # How far away dragons will detect gold blocks being destroyed or chests being opened [range: 0 ~ 10000, default: 17]
    I:"Dragon Gold Search Length"=17

    # Dragon griefing - 2 is no griefing, 1 is breaking weak blocks, 0 is default [range: 0 ~ 2, default: 0]
    I:"Dragon Griefing"=2

    # Max dragon health. Health is scaled to this [range: 1 ~ 100000, default: 500]
    I:"Dragon Health"=600

    # Every interval of this number in ticks, dragon hunger decreases. [range: 1 ~ 10000, default: 3000]
    I:"Dragon Hunger Tick Rate"=3000

    # How many blocks away can dragons spot potential prey. Note that increasing this could cause lag. [range: 1 ~ 10000, default: 64]
    I:"Dragon Target Search Length"=64

    # How many blocks away can dragons wander from their defined "home" position. [range: 1 ~ 10000, default: 40]
    I:"Dragon Wander From Home Distance"=40

    # True if dragons can despawn. Note that if this is false there may be SERIOUS lag issues. [default: true]
    B:"Dragons Despawn"=false

    # True if dragons can break blocks if they get stuck. Turn this off if your dragons randomly explode. [default: true]
    B:"Dragons Dig When Stuck"=true

    # True if dragons can drop their blood on death. [default: true]
    B:"Dragons Drop Blood"=true

    # True if dragons can drop their heart on death. [default: true]
    B:"Dragons Drop Heart"=true

    # True if dragons can drop their skull on death. [default: true]
    B:"Dragons Drop Skull"=true

    # Turning this to true simplifies the dragon's pathfinding process, making them dumber when finding a path, but better for servers with many loaded dragons. [default: false]
    B:"Experimental Dragon path Finder"=false

    # 1 out of this number chance per chunk for generation [range: 1 ~ 10000, default: 180]
    I:"Generate Dragon Cave Chance"=400

    # Whether to generate dragon caves or not [default: true]
    B:"Generate Dragon Caves"=true

    # 1 out of this number chance per chunk for generation [range: 1 ~ 10000, default: 360]
    I:"Generate Dragon Roost Chance"=400

    # Whether to generate dragon roosts or not [default: true]
    B:"Generate Dragon Roosts"=true

    # 1 out of this number chance per chunk for generation [range: 1 ~ 10000, default: 300]
    I:"Generate Dragon Skeleton Chance"=400

    # Whether to generate dragon skeletons or not [default: true]
    B:"Generate Dragon Skeletons"=true

    # Whether to generate glacier biomes or not [default: true]
    B:"Generate Glaciers"=true

    # Whether to generate sapphire ore or not [default: true]
    B:"Generate Sapphire Ore"=true

    # Whether to generate silver ore or not [default: true]
    B:"Generate Silver Ore"=true

    # 1 out of this number chance per chunk for generation [range: 1 ~ 10000, default: 100]
    I:"Generate Snow Village Chance"=200

    # Whether to generate snow villages or not [default: true]
    B:"Generate Snow Villages"=true

    # Glacier Spawn Weight. Higher number = more common [range: 1 ~ 10000, default: 4]
    I:"Glacier Spawn Weight"=4

    # Maximum gorgon health [range: 1.0 ~ 10000.0, default: 100.0]
    S:"Gorgon Max Health"=100.0

    # Hippogryph spawn weight. Lower = lower chance to spawn. [range: 1 ~ 10000, default: 2]
    I:"Hippogryph Spawn Weight"=2

    # Whether to log cascading world gen lag. We hope to fix all cascading lag in the future, but the server console spam is over the top. [default: false]
    B:"Log Cascading World Gen"=false

    # How high dragons can fly, in Y height. [range: 10 ~ 1000, default: 128]
    I:"Max Dragon Flight Height"=128

    # How high stymphalian birds can fly, in Y height. [range: 10 ~ 1000, default: 80]
    I:"Max Stymphalian Bird Flight Height"=80

    # One out of this number chance per chunk to generate a myrmex hive. [range: 1 ~ 10000, default: 150]
    I:"Myrmex Colony Gen Chance"=150

    # How many maximum individuals a myrmex colony can have. [range: 10 ~ 10000, default: 80]
    I:"Myrmex Colony Max Size"=80

    # How many ticks it takes for a Myrmex Queen to produce an egg. [range: 1 ~ 10000, default: 2500]
    I:"Myrmex Gestation Length"=2500

    # How many ticks it takes for a Myrmex to move from a larva to a pupa, and from a pupa to an adult. [range: 1 ~ 100000, default: 35000]
    I:"Myrmex Hatch Length"=3000

    # size of pixie villages [range: 1 ~ 10000, default: 5]
    I:"Pixie Village Size"=5

    # True if pixies are allowed to steal from players [default: true]
    B:"Pixies Steal Items"=true

    # Default sea serpent attack strength, this is scaled to the sea serpent's particular size [range: 1.0 ~ 10000.0, default: 4.0]
    S:"Sea Serpent Base Attack Strength"=4.0

    # Default sea serpent health, this is scaled to the sea serpent's particular size [range: 1.0 ~ 10000.0, default: 20.0]
    S:"Sea Serpent Base Health"=20.0

    # Whether or not sea serpents can break weak blocks in their way [default: true]
    B:"Sea Serpent Griefing"=true

    # Maximum siren health [range: 1.0 ~ 10000.0, default: 50.0]
    S:"Siren Max Health"=50.0

    # how long(in ticks) can a siren use its sing effect on a player, without a cooldown. [range: 100 ~ 24000, default: 12000]
    I:"Siren Max Sing Time"=400

    # how long(in ticks) a siren has to wait after failing to lure in a player [range: 100 ~ 24000, default: 2000]
    I:"Siren Time Between Songs"=1200

    # True if amphitheres are allowed to spawn [default: true]
    B:"Spawn Amphitheres"=true

    # True if cockatrices are allowed to spawn [default: true]
    B:"Spawn Cockatrices"=true

    # True if cyclops caves are allowed to spawn [default: true]
    B:"Spawn Cyclopes"=true

    # 1 out of this number chance per chunk for generation [range: 1 ~ 10000, default: 170]
    I:"Spawn Cyclops Chance"=170

    # True if deathworms are allowed to spawn [default: true]
    B:"Spawn Death Worms"=true

    # 1 out of this number chance per chunk for generation [range: 1 ~ 10000, default: 75]
    I:"Spawn Gorgon Chance"=75

    # True if gorgon temples are allowed to spawn [default: true]
    B:"Spawn Gorgons"=true

    # True if hippocampi are allowed to spawn [default: true]
    B:"Spawn Hippocampus"=true

    # 1 out of this number chance per chunk for generation [range: 1 ~ 10000, default: 70]
    I:"Spawn Hippocampus Chance"=70

    # True if hippogryphs are allowed to spawn [default: true]
    B:"Spawn Hippogryphs"=true

    # True if myrmex colonies are allowed to spawn [default: true]
    B:"Spawn Myrmex"=true

    # True if pixie villages are allowed to spawn [default: true]
    B:"Spawn Pixies"=true

    # 1 out of this number chance per chunk for generation [range: 1 ~ 10000, default: 60]
    I:"Spawn Pixies Chance"=60

    # 1 out of this number chance per chunk for generation [range: 1 ~ 10000, default: 200]
    I:"Spawn Sea Serpent Chance"=200

    # True if sea serpents are allowed to spawn [default: true]
    B:"Spawn Sea Serpents"=true

    # True if siren islands are allowed to spawn [default: true]
    B:"Spawn Sirens"=true

    # 1 out of this number chance per chunk for generation [range: 1 ~ 10000, default: 300]
    I:"Spawn Sirens Chance"=300

    # 1 out of this number chance per chunk for generation [range: 1 ~ 10000, default: 100]
    I:"Spawn Stymhphalian Bird Chance"=100

    # True if stymphalian birds are allowed to spawn [default: true]
    B:"Spawn Stymphalian Birds"=true

    # True if trolls are allowed to spawn [default: true]
    B:"Spawn Trolls"=true

    # Stymphalian bird feather attack strength. [range: 0.0 ~ 10000.0, default: 1.0]
    S:"Stymphalian Bird Feather Attack Strength"=1.0

    # 1/this number chance for a stymphalian feather to turn into an item before despawning. Zero means never. [range: 0 ~ 10000, default: 25]
    I:"Stymphalian Bird Feather Drop Chance"=25

    # How far away stymphalian birds will consider other birds to be in the same flock. [range: 1 ~ 10000, default: 40]
    I:"Stymphalian Bird Flock Length"=40

    # How many blocks away can stymphalian birds spot potential prey. Note that increasing this could cause lag. [range: 1 ~ 10000, default: 64]
    I:"Stymphalian Bird Target Search Length"=64

    # True if stymphalian birds are allowed to target and attack animals [default: false]
    B:"Stymphalian Birds Target Animals"=false

    # True if stymphalian birds can drop items registered in the ore dictionary to ingotCopper, ingotBronze, nuggetCopper, nuggetBronze. [default: true]
    B:"Stymphalian Birds drop ore dict items"=true

    # True if tamed dragons can follow the griefing rules. [default: true]
    B:"Tamed Dragon Griefing"=true

    # Troll attack strength [range: 1.0 ~ 10000.0, default: 10.0]
    S:"Troll Attack Strength"=10.0

    # Maximum troll health [range: 1.0 ~ 10000.0, default: 50.0]
    S:"Troll Max Health"=50.0

    # A double check to see if the game can spawn trolls. Higher number = lower chance to spawn. [range: 0 ~ 10000, default: 1]
    I:"Troll Spawn Check Chance"=1

    # Troll spawn weight. Lower = lower chance to spawn [range: 1 ~ 10000, default: 500]
    I:"Troll Spawn Weight"=500

    # True if trolls are allowed to drop their weapon on death. [default: true]
    B:"Trolls Drop Weapon"=true

    # True to make the screen pink when sirens attract players [default: true]
    B:"Use Siren Shader"=true

    # Whether to use the vanilla font in the bestiary or not [default: false]
    B:"Use Vanilla Font"=false

    # True if villagers should run away and hide from dragons and other hostile Ice and Fire mobs. [default: true]
    B:"Villagers Fear Dragons"=true

    # Dragons can only spawn in these dimensions' IDs
    I:"Whitelisted Dragon Dimensions" <
        0
     >

    # Snow Villages can only spawn in these dimensions' IDs
    I:"Whitelisted Snow Village Dimensions" <
        0
     >

    # true to use dimensional blacklist, false to use the whitelist. [default: true]
    B:"use Dimension Blacklist"=true
}


cyclopes {
    I:cyclopesSheepSearchLength=17
    B:generateCyclopsCaves=true
}


dragons {
    B:canDragonsDespawn=true
    I:dragonAttackDamage=17
    I:dragonFlapNoiseDistance=4
    I:dragonFluteDistance=4
    I:dragonGoldSearchLength=17
    I:dragonGriefing=0
    I:dragonHealth=500
    D:dragonRiding3rdPersonDistanceModifier=0.800000011920929
    I:dragonTargetSearchLength=64
    I:maxDragonFlight=128
}


generation {
    I:dragonBlacklistedDimensions <
        1
        -1
     >
    I:dragonDenGoldAmount=4
    I:dragonWhitelistedDimensions <
        0
     >
    I:generateDragonDenChance=400
    B:generateDragonDens=false
    I:generateDragonRoostChance=400
    B:generateDragonRoosts=true
    I:generateDragonSkeletonChance=400
    B:generateDragonSkeletons=true
    B:generateSapphireOre=true
    B:generateSilverOre=true
    I:generateSnowVillageChance=200
    B:generateSnowVillages=true
    I:glacierSpawnChance=4
    I:oreToStoneRatioForDragonCaves=45
    I:snowVillageBlacklistedDimensions <
        1
        -1
     >
    I:snowVillageWhitelistedDimensions <
        0
     >
    I:spawnCyclopsChance=80
    I:spawnGorgonsChance=80
    B:useDimensionBlackList=true
}


gorgons {
    B:spawnGorgons=true
}


hippogryphs {
    B:spawnHippogryphs=true
}


pixies {
    I:pixieVillageSize=5
    B:spawnPixies=true
    I:spawnPixiesChance=60
}


